# File-Name:       untitled                
# Date:            2013-04-28                                
# Author:          Thomas Zeitzoff                                      
# Purpose:        
# Data Used:
# Packages Used:              
# Output File:    
# Data Output: 
# Machine:		Thomas Zeitzoff's mac

require("reshape")
require("ggplot2")
  require(quantmod)
  library(astsa)

  library(foreign)
  library(mFilter)
  library(MASS)
  library(tseries)
  library(urca)
  library(MSBVAR)


  ###Reading the Data into R
  unscaled<-read.dta(file="2nd_Gaza_Conflict.dta")

  #summarizing the data
  summary(unscaled)

  #Israeli Defense Foces Twitter Feed
  IDF<-unscaled$idf_twitter
  #Hamas Twiter Feed
  AQB<-unscaled$hamas_twitter
  #Israel 2 Hamas Conflict Intensity
  I2H<-unscaled$combined_i2h
  #Hamas 2 Israel Conflict Intensity
  H2I<-unscaled$combined_h2i
  #Egypt Attention
  Egypt<-unscaled$egypt_pressure
  #US Attention
  US<-unscaled$us_pressure
  #UN Attention 
  UN<-unscaled$un_pressure
  ##Hashtag data
  hashtag_data<-read.csv(file="merged_hashtag.csv" ,head=TRUE,sep=",")
  summary(hashtag_data)
  GazaUnderAttack<-hashtag_data$gaza_under_attack
  IsraelUnderFire<-hashtag_data$israel_under_fire
  
  ##Create the hourly sequence
 hour<- seq(from=as.POSIXct("2012-11-14 12:00", tz="UTC"),
       to=as.POSIXct("2012-11-21 22:00", tz="IST"),
       by="hour")
   
     
israel_hamas<-data.frame(I2H,H2I,hour)

       library(ggplot2)
       library(reshape2)
       theme_set(theme_grey(base_size = 18))
       melt_israel_hamas <- melt(israel_hamas,id="hour")
       conflict_plot=qplot(hour, value, data = melt_israel_hamas, geom = "line", group = variable) +
         facet_grid(variable ~ ., scale = "fixed")
      conflict_plot +xlab("") +ylab("Conflict Intensity")

twitter<-data.frame(IDF,AQB,hour)

 melt_twitter<- melt(twitter,id="hour")
twitter_plot=qplot(hour, value, data = melt_twitter, geom = "line", group = variable) +
   facet_grid(variable ~ ., scale = "fixed")
twitter_plot  +xlab("")+ ylab("Communication Aggressiveness") 

mediator<-data.frame(UN,Egypt, US,hour)

 melt_mediator<- melt(mediator,id="hour")
mediator_plot=qplot(hour, value, data = melt_mediator, geom = "line", group = variable) +
   facet_grid(variable ~ ., scale = "fixed")
mediator_plot +xlab("") + ylab("Mediator Attention") 

hashtag<-data.frame(IsraelUnderFire, GazaUnderAttack,hour)
 melt_hashtag<- melt(hashtag,id="hour")
hashtag_plot=qplot(hour, value, data = melt_hashtag, geom = "line", group = variable) +
   facet_grid(variable ~ ., scale = "fixed")
hashtag_plot+ xlab("Date") +ylab("Hashtag Mentions") 



  
  
